
//Titel:       Maus Events Projekt
//Version:     
//Copyright:   Copyright (c) 2000
//Autor:      J.M.Joller
//Organisation:     (C) J.M.Joller
//Beschreibung: einfaches Applet, welches Mausklicks registriert
package MausEvents;

import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
import java.lang.Integer;


public class MausKlicks extends Applet implements MouseListener
{
  BlankArea  blankArea;
  TextArea   textArea;

  
  public void init()
  {
    GridBagLayout gridbag = new GridBagLayout();
    GridBagConstraints c = new GridBagConstraints();
    setLayout(gridbag);

    c.fill = GridBagConstraints.BOTH;
    c.gridwidth = GridBagConstraints.REMAINDER;
    c.weightx = 1.0;
    c.weighty = 1.0;

    c.insets = new Insets(1, 1, 1, 1);
    blankArea = new BlankArea(new Color(0.90f, 0.90f, 0.90f));
    gridbag.setConstraints(blankArea, c);
    add(blankArea);

    c.insets = new Insets(0, 0, 0, 0);
    textArea = new TextArea(5, 20);
    textArea.setEditable(false);
    gridbag.setConstraints(textArea, c);
    add(textArea);

    blankArea.addMouseListener(this);
    addMouseListener(this);
  }

  public void mousePressed(MouseEvent e)
  {
    printEvent("Maus wurde " + e.getClickCount()
      + " mal gedrckt.");
  }

  public void mouseReleased(MouseEvent e)
  {
    printEvent("Maus wurde " + e.getClickCount()
      + " mal losgelassen.");
  }

  public void mouseEntered(MouseEvent e)
  {
    printEvent("Mauszeiger ist ins Feld eingetreten.");
  }

  public void mouseExited(MouseEvent e)
  {
    printEvent("Mauszeiger hat das Feld verlassen.");
  }

  public void mouseClicked(MouseEvent e)
  {
    printEvent("Maus wurde " + e.getClickCount()
      + " mal geklickt.");
  }

  void printEvent(String eventDescription)
  {
    textArea.append(eventDescription + "\n");
    textArea.setCaretPosition(Integer.MAX_VALUE);
  }
}


class BlankArea extends Canvas
{
  Dimension minSize = new Dimension(100, 100);

  public BlankArea(Color color)
  {
	  setBackground(color);
  }

  public Dimension getMinimumSize()
  {
	  return minSize;
  }

  public Dimension getPreferredSize()
  {
	  return minSize;
  }

  public void paint(Graphics g)
  {
	  Dimension size = getSize();
	  g.drawRect(0, 0, size.width - 1, size.height - 1);
  }
}
