
//Titel:       Applet mit mehreren Listener
//Version:     
//Copyright:   Copyright (c) 2000
//Autor:      J.M.Joller
//Organisation:     (C) J.M.Joller
//Beschreibung: einfaches Applet mit mehreren Listener
package MultiEventApplet;

import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;

public class MultiEventApplet extends Applet implements ActionListener
{
  TextArea   singleArea;
  TextArea   multiArea;
  Button     singleButton, multiButton;

  public void init() 
  {
    Label l = null;
    GridBagLayout gridbag = new GridBagLayout();
    GridBagConstraints c = new GridBagConstraints();
    setLayout(gridbag);

    c.fill = GridBagConstraints.BOTH;
    c.gridwidth = GridBagConstraints.REMAINDER;
    l = new Label("Mehrfach-Lauscher:");
    gridbag.setConstraints(l, c);
    add(l);

    c.weighty = 1.0;
    singleArea = new TextArea(5, 20);
    singleArea.setEditable(false);
    gridbag.setConstraints(singleArea, c);
    add(singleArea);

    c.weightx = 0.0;
    c.weighty = 0.0;
    l = new Label("Einfach-Lauscher:");
    gridbag.setConstraints(l, c);
    add(l);

    c.weighty = 1.0;
    multiArea = new TextArea(5, 20);
    multiArea.setEditable(false);
    gridbag.setConstraints(multiArea, c);
    add(multiArea);

    c.weightx = 1.0;
    c.weighty = 0.0;
    c.gridwidth = 1;
    c.insets = new Insets(10, 10, 0, 10);
    singleButton = new Button("Einfaches Ereignis");
    gridbag.setConstraints(singleButton, c);
    add(singleButton);

    c.gridwidth = GridBagConstraints.REMAINDER;
    multiButton = new Button("Mehrfaches Ereignis");
    gridbag.setConstraints(multiButton, c);
    add(multiButton);

    singleButton.addActionListener(this);
    multiButton.addActionListener(this);

    multiButton.addActionListener(new SingleListener(multiArea));
  }

  public void actionPerformed(ActionEvent e)
  {
    singleArea.append(e.getActionCommand() + "\n");
  }
}

class SingleListener implements ActionListener
{
  TextArea textArea;
  
  public SingleListener(TextArea t)
  {
    textArea = t;
  }

  public void actionPerformed(ActionEvent e)
  {
    textArea.append(e.getActionCommand() + "\n");
  }
}
