package Buttons;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;


public class Buttons extends JPanel
{
  JButton button1, button2, button3, button4, button5;
  ImageIcon smileIcon1;
  ImageIcon smileIcon2;
  ImageIcon aniSmile;

  Buttons(JApplet applet)
  {
    setLayout(new GridLayout(0, 1));        

    try
    {
      smileIcon1 = new ImageIcon("smile1.gif");
      smileIcon2 = new ImageIcon("smile2.gif");
      aniSmile = new ImageIcon("anismile.gif");
    }
    catch(SecurityException se)      // Fr Internet-Browser
    {
      smileIcon1 = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "smile1.gif"));
      smileIcon2 = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "smile2.gif"));
      aniSmile = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "anismile.gif"));
    }
    
    // Button mit einem einfachen Icon
    button1 = new JButton(smileIcon1);
    add(button1);
    
    // Button mit Icon und Text    
    // Die Beschriftung befindet sich rechts
    button2 = new JButton("Klick mich.", smileIcon1);
    button2.setActionCommand("2");
    button2.addActionListener(new buttonReaction());
    button2.setMnemonic('K');
    add(button2);
    
    // Ein Button mit einem animierten Image
    // Die Beschriftung befindet sich unten
    button3 = new JButton("Super! Jetzt mich.", smileIcon1);
    button3.setVerticalTextPosition(AbstractButton.BOTTOM);
    button3.setHorizontalTextPosition(AbstractButton.CENTER);
    button3.setEnabled(false);
    button3.setActionCommand("3");
    button3.addActionListener(new buttonReaction());
    // ImageObserver einstellen
    aniSmile.setImageObserver(button3);  
    button3.setMnemonic('S');
    add(button3);
    
    // Der Button zeigt bei Auswahl ein zweites Icon 
    button4 = new JButton("Dann mich.", smileIcon1);
    button4.setEnabled(false);
    button4.setHorizontalTextPosition(AbstractButton.LEFT);
    button4.setActionCommand("4");
    button4.addActionListener(new buttonReaction());
    // Icon, das beim Auswahl erscheinen soll
    button4.setPressedIcon(smileIcon2);  
    button4.setMnemonic('D');
    add(button4);
    
    // Der Button reagiert wenn der Mauszeiger darber liegt
    button5 = new JButton("Und noch mich.", smileIcon1);
    button5.setEnabled(false);
    button5.setVerticalTextPosition(AbstractButton.TOP);
    button3.setHorizontalTextPosition(AbstractButton.CENTER);
    button5.addActionListener(new buttonReaction());
    button5.setActionCommand("5");
    // Icon, das beim Mauszeiger erscheinen soll
    button5.setRolloverIcon(smileIcon2);
    // Reagiert, wenn der Mauszeiger darber liegt
    button5.setRolloverEnabled(true);  
    button5.setMnemonic('U');
    add(button5);
  }
  
  // Hier wird die Aktionen verarbeitet
  class buttonReaction implements ActionListener
  {
    public void actionPerformed(ActionEvent e)
    {
      // den gedrckten Button deaktivieren
      ((JButton)(e.getSource())).setEnabled(false); 
      switch(Integer.parseInt(e.getActionCommand()))
      {
        case 2:
          button3.setIcon(aniSmile);
          button3.setEnabled(true);
          break;
        case 3:
          button3.setIcon(smileIcon1);
          button4.setEnabled(true);
          break;
        case 4:
          button5.setEnabled(true);
          break;
        case 5:
          button2.setEnabled(true);                  
          break;
      }
    }
  }
}