package progressbar;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;


public class ProgressBar extends JPanel implements ActionListener
{
  JPanel        panel;
  JProgressBar  testProgressBar;
  JButton       lowerButton, higherButton;

  ProgressBar(JApplet applet)
	{
    setBorder(BorderFactory.createTitledBorder(
      new EtchedBorder(), "Einfache ProgressBar", 0, 0,
      new Font("Dialog", Font.BOLD, 12)));
    setLayout(new BorderLayout());
    testProgressBar = new JProgressBar();
    testProgressBar.setBounds(10, 10, 200, 30);
    testProgressBar.setMinimum(0);
    testProgressBar.setMaximum(10);
    testProgressBar.setValue(0);
    testProgressBar.setStringPainted(true);
    add("North", testProgressBar);

    panel = new JPanel();
    panel.setLayout(new FlowLayout(FlowLayout.CENTER));
    lowerButton = new JButton("Niedriger");
    lowerButton.setBounds(240, 10, 100, 30);
    lowerButton.addActionListener((ActionListener)this);
    higherButton = new JButton("Hher");
    higherButton.setBounds(360, 10, 100, 30);
    higherButton.addActionListener((ActionListener)this);
    panel.add(lowerButton);
    panel.add(higherButton);
    add("South", panel);
  }

  public void actionPerformed(ActionEvent e)
	{
    if (e.getActionCommand() == "Hher")
      testProgressBar.setValue(testProgressBar.getValue() + 1);
    else
      testProgressBar.setValue(testProgressBar.getValue() - 1);
  }
}