package filechooser;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
import java.awt.*;
import java.awt.event.*;
import java.io.File;
import javax.swing.*;


public class FileChooser extends JPanel implements ActionListener
{
  JPanel        resultPanel;
  JButton       button;
  JTextField    fileField, pathField;
  JTextField    descriptionField, commandField;
  JFileChooser  fileChooser;
  JLabel        fileIcon;


  FileChooser(JApplet applet)
  {
    setLayout(new BorderLayout(10, 5));

    fileChooser = new JFileChooser();
    fileChooser.setFileSelectionMode(
      JFileChooser.FILES_AND_DIRECTORIES);
    fileChooser.setMultiSelectionEnabled(false);
    fileChooser.setDialogTitle("Ein FileChooser-Beispiel");
    fileChooser.addChoosableFileFilter(new CustomFileFilter());

    add("North", button = new JButton("ffne den FileChooser"));
    button.addActionListener(this);

    resultPanel = new JPanel();
    resultPanel.setLayout(new GridLayout(0, 2, 10, 5));
    resultPanel.add(new JLabel("Datei:"));
    resultPanel.add(fileField = new JTextField());
    resultPanel.add(new JLabel("Pfad:"));
    resultPanel.add(pathField = new JTextField());
    resultPanel.add(new JLabel("Beschreibung:"));
    resultPanel.add(descriptionField = new JTextField());
    resultPanel.add(new JLabel("OK oder Cancel:"));
    resultPanel.add(commandField = new JTextField());
    resultPanel.add(new JLabel("Dateisymbol:"));
    resultPanel.add(fileIcon = new JLabel());
    add("Center", resultPanel);
  }

  public void actionPerformed(ActionEvent e)
  {
    if (fileChooser.showDialog(this, "OK")!=JFileChooser.CANCEL_OPTION)
    {
      File  testFile = fileChooser.getSelectedFile();
      fileField.setText(testFile.toString());
      pathField.setText(fileChooser.getCurrentDirectory().toString());
      descriptionField.setText(fileChooser.getTypeDescription(testFile));
      fileIcon.setIcon(fileChooser.getIcon(testFile));
      commandField.setText("OK");
      System.out.println("Gewhlte Datei:");
      System.out.println("Dateiname="+fileField.getText());
      System.out.println("Pfadname="+pathField.getText());
    }
    else
      commandField.setText("Cancel");
  }
}


class CustomFileFilter extends javax.swing.filechooser.FileFilter
{
  String  extension, description;

  CustomFileFilter()
  {
    super();
    extension = "txt";
    description = "Textdateien";
  }

  public boolean accept(File file)
  {
    if (file.isDirectory())
      return true;

    String fileName = file.getName();
    int i = fileName.lastIndexOf('.');

    if (i>0 &&  i<fileName.length() - 1)
    {
      String ext = fileName.substring(i+1).toLowerCase();
      if (ext.equals(extension))
        return true;
      else
        return false;
    }

    return false;
  }

  public String getDescription()
  {
    return description;
  }
}