package internalframe;

/**
 * Title:        Internal Frame
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import java.awt.event.*;
import java.io.*;
import java.net.URL;
import java.lang.Math;
import javax.swing.*;


public class InternalFrameBsp extends JPanel
  implements ActionListener
{
  JInternalFrame    creatorFrame;
  JInternalFrame    newFrame;
  JDesktopPane      desktopPane;
  JCheckBox         closableCheck, maxableCheck;
  JCheckBox         iconfiableCheck, resizeableCheck;
  JButton           button;
  JTextField        titleField, layerField;
  Container         creatorPane;
  ImageIcon         javaIcon;
  JPanel            panel;
  int               frameCounter;


  InternalFrameBsp(JApplet applet){
    setLayout(new BorderLayout());
    desktopPane = new JDesktopPane();
    //desktopPane.setVisible(true);
    desktopPane.setOpaque(false);
    newFrame = null;
    frameCounter = 0;

    try{
      javaIcon = new ImageIcon("seashore.jpg");
    }
    catch(SecurityException se)     { // Fr Internet-Browser{
      System.out.println("Seepferdchen konnte nicht geladen werden");
      javaIcon = new ImageIcon(applet.getImage(
        applet.getCodeBase(), "seashore.jpg"));
    }

    // Erstellt die Frames
    System.out.println("InternalFrame erstellen");
    creatorFrame = new JInternalFrame("InternalFrame erstellen",
      true, false, false, true);
    creatorFrame.setBounds(50, 20, 280, 180);
    desktopPane.add(creatorFrame);
    creatorPane = creatorFrame.getContentPane();
    creatorPane.setLayout(new GridLayout(0 ,1, 10, 10));
    creatorPane.add(panel = new JPanel());
    // neue Zeile jj
    creatorFrame.setVisible(true);
    // ende
    panel.setLayout(new GridLayout(2, 2, 10, 5));
    System.out.println("Checkboxen erstellen");
    closableCheck = new JCheckBox("schliessbar");
    closableCheck.setSelected(true);
    panel.add(closableCheck);
    resizeableCheck = new JCheckBox("Grsse nderbar");
    resizeableCheck.setSelected(true);
    panel.add(resizeableCheck);
    maxableCheck = new JCheckBox("maximierbar");
    maxableCheck.setSelected(true);
    panel.add(maxableCheck);
    iconfiableCheck = new JCheckBox("minimierbar");
    iconfiableCheck.setSelected(true);
    panel.add(iconfiableCheck);

    System.out.println("Panel erstellen");
    creatorPane.add(panel = new JPanel());
    panel.setLayout(new BorderLayout(10, 5));
    panel.add("West", new JLabel("Titel:", JLabel.RIGHT));
    panel.add("Center", titleField = new JTextField("Titel"));
    creatorPane.add(panel = new JPanel());
    panel.setLayout(new BorderLayout(10, 5));
    panel.add("West", new JLabel("Layer:", JLabel.RIGHT));
    panel.add("Center", layerField = new JTextField("1"));
    creatorPane.add(panel = new JPanel());
    panel.add(button = new JButton("ffnen"));
    panel.setLayout(new GridLayout(1, 2, 10, 5));
    button.addActionListener(this);
    panel.add(button = new JButton("Alle schliessen"));
    button.addActionListener(this);

    add("Center", desktopPane);
  }

  public void actionPerformed(ActionEvent e){

    if (e.getActionCommand() == "ffnen"){
      int layer;

      newFrame = new JInternalFrame(titleField.getText(),
        resizeableCheck.isSelected(),
        closableCheck.isSelected(),
        maxableCheck.isSelected(),
        iconfiableCheck.isSelected());

      // Fensterposition per Zufallsgenerator
      newFrame.setBounds((int)(Math.random()*500)+30,
        (int)(Math.random()*300)+20, 300, 300);
      frameCounter++;
      switch (frameCounter % 3)
      {
        case 0:
          newFrame.setContentPane(new CustomScrollTextPane());
          break;
        case 1:
          newFrame.setContentPane(new ImageScrollPane(javaIcon));
          break;
        case 2:
          newFrame.setContentPane(new ButtonScrollPane());
          break;
      }
      layer = Integer.parseInt(layerField.getText());
      desktopPane.add(newFrame, new Integer(layer));
      // neue Zeile jj
      newFrame.setVisible(true);
      // ende
      newFrame.repaint();
      newFrame.toFront();
    }
    else
    {
      System.out.println("DesktopPane : removeAll");
      desktopPane.removeAll();
      desktopPane.add(creatorFrame);
      desktopPane.repaint();
      frameCounter=0;
    }
  }
}


class ImageScrollPane extends JScrollPane
{
  JLabel       label;

  public ImageScrollPane(ImageIcon i)
  {
    super();
    label = new JLabel(i);
    label.setOpaque(false);
    getViewport().add(label);
  }
}


class CustomScrollTextPane extends JScrollPane
{
  JTextArea    textArea;

  CustomScrollTextPane()
  {
    super();
    textArea = new JTextArea(loadTextFile("skat.txt"));
    getViewport().add(textArea);
  }

  public String loadTextFile(String filename)
  {
    String s = new String();
    File f;
    char[] buff = new char[50000];
    InputStream is;
    InputStreamReader reader;
    URL url;

    try
    {
      int nch;
      url = (new File(filename)).toURL();
      is = url.openStream();
      reader = new InputStreamReader(is);
      while ((nch = reader.read(buff, 0, buff.length)) != -1)
         s = s + new String(buff, 0, nch);
    }
    catch (java.io.IOException ex)
    {
      s = "Datei konnte nicht geladen werden: " + filename;
    }

    return s;
  }
}


class ButtonScrollPane extends JScrollPane
{
  JPanel  panel;

  ButtonScrollPane()
  {
    panel = new JPanel();
    panel.setLayout(new GridLayout(0, 1, 5, 5));
    for (int i=1; i<9; i++)
      panel.add(new JButton("Funktion " + i));
    getViewport().add(panel);
  }
}
