package swingdialog;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import java.awt.event.*;
import java.util.*;
import javax.swing.*;


public class SwingDialog extends JPanel implements ActionListener
{
  JButton        button;
  CustomDialog   customDialog;
  ImageIcon      dukeIcon;

  SwingDialog(JApplet applet)
  {
    add(button = new JButton("ffne SwingDialog."));
    button.addActionListener(this);

    try
    {
      dukeIcon = new ImageIcon("duke.gif");
    }
    catch(SecurityException se)  // Fr Internet-Browser
    {
      dukeIcon = new ImageIcon(applet.getImage(
        applet.getCodeBase(), "duke.gif"));
    }

    customDialog = new CustomDialog(dukeIcon,
      "Hallo, das ist ein SwingDialog.");
  }

  public void actionPerformed(ActionEvent e)
  {
    customDialog.setVisible(true);
  }
}


class CustomDialog extends JDialog implements ActionListener
{
  JPanel   panel;
  JButton  button;
  ImageIcon icon;
  String    text;

  CustomDialog(ImageIcon i, String t)
  {
    super();
    icon = i;
    text = t;
    setTitle("Ein SwingDialog");
    setModal(true);                  // Modaler Dialog
    setBounds(100, 100, 350, 150);
    getContentPane().setLayout(new BorderLayout());
    setFont(new Font("Dialog", Font.BOLD, 14));

    getContentPane().add("South", panel = new JPanel());
    panel.setLayout(new FlowLayout(FlowLayout.CENTER, 20, 0));
    panel.add(button = new JButton("OK"));
    button.addActionListener(this);
    panel.add(button = new JButton("Abbrechen"));
    button.addActionListener(this);

    getContentPane().add("Center",
      new JLabel(text, icon, JLabel.CENTER));
  }

  public void actionPerformed(ActionEvent e)
  {
    setVisible(false);
  }
}