package textarea;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import java.io.*;
import java.net.URL;
import javax.swing.*;


public class TextArea extends JPanel
{
  JTextArea      textArea;
  String         areaText;

  TextArea(JApplet applet)
  {
    setLayout(new BorderLayout());

    // TextArea-Komponente
    areaText = loadTextFile("text.txt");
    textArea = new JTextArea();
    textArea.setText(areaText);
    textArea.setLineWrap(true);
    textArea.setWrapStyleWord(true);
    add("Center", new JScrollPane(textArea));
  }

  // Ldt eine Textdatei ein
  public String loadTextFile(String filename)
  {
    String s = new String();
    File f;
    char[] buff = new char[50000];
    InputStream is;
    InputStreamReader reader;
    URL url;

    try
    {
      int nch;
      url = (new File(filename)).toURL();
      is = url.openStream();
      reader = new InputStreamReader(is);
      while ((nch = reader.read(buff, 0, buff.length)) != -1)
         s = s + new String(buff, 0, nch);
    }
    catch (java.io.IOException ex)
    {
      s = "Datei konnte nicht geladen werden: " + filename;
    }

    return s;
  }
}