package textpane;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import javax.swing.*;
import javax.swing.text.*;


public class TextPane extends JPanel
{
  JTextPane      textPane;
  MutableAttributeSet  attr1, attr2, attr3, attr4;
  ImageIcon      dukeIcon;
  String         textPaneStrings[] =
                  {"In einem JTextPane sind\n", "verschiedene\n",
                   "Fonts\n", "mglich.\n" };

  TextPane(JApplet applet)
  {
    setLayout(new BorderLayout());

    try
    {
      dukeIcon = new ImageIcon("duke.gif");
    }
    catch(SecurityException se)    // Fr Internet-Browser
    {
      dukeIcon = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "duke.gif"));
    }

    textPane = new JTextPane();

    attr1 = new SimpleAttributeSet();
    attr2 = new SimpleAttributeSet();
    attr3 = new SimpleAttributeSet();
    attr4 = new SimpleAttributeSet();

    StyleConstants.setFontFamily(attr1, "Serif");
    StyleConstants.setFontSize(attr1, 14);
    StyleConstants.setFontFamily(attr2, "Serif");
    StyleConstants.setFontSize(attr2, 30);
    StyleConstants.setBold(attr2, true);
    StyleConstants.setUnderline(attr2, true);
    StyleConstants.setFontFamily(attr3, "Courier");
    StyleConstants.setFontSize(attr3, 40);
    StyleConstants.setBold(attr3, true);
    StyleConstants.setFontFamily(attr4, "Arial");
    StyleConstants.setFontSize(attr4, 40);
    StyleConstants.setBold(attr4, true);

    for (int i=0; i<textPaneStrings.length; i++)
      textPane.setText(textPane.getText() + textPaneStrings[i]);
    textPane.setParagraphAttributes(attr1, true);
    textPane.setCaretPosition(textPaneStrings[0].length());
    textPane.setParagraphAttributes(attr2, true);
    textPane.setCaretPosition(
      (textPaneStrings[0]+textPaneStrings[1]).length());
    textPane.setParagraphAttributes(attr3, true);
    textPane.setCaretPosition(
      (textPaneStrings[0]+textPaneStrings[1]+
      textPaneStrings[2]).length());
    textPane.setParagraphAttributes(attr4, true);
    textPane.setCaretPosition(
      (textPaneStrings[0]+textPaneStrings[1]+textPaneStrings[2]+
       textPaneStrings[3]).length());

    textPane.insertIcon(dukeIcon);

    add("Center", new JScrollPane(textPane));
  }
}