package tabbedpane;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import javax.swing.*;
import javax.swing.tree.*;


public class TabbedPane extends JPanel
{
  JPanel         optionPanel, treePanel, panel;
  JTabbedPane    tabbedPane;
  JLabel         pictureLabel;
  ImageIcon      picture, icon;
  DefaultMutableTreeNode treeNode, root;

  TabbedPane(JApplet applet)
  {
    setLayout(new BorderLayout());

    tabbedPane = new JTabbedPane(JTabbedPane.BOTTOM);

    // eine Karte mit Bild
    try
    {
      picture = new ImageIcon("seashore.jpg");
      icon = new ImageIcon("picicon.gif");
    }
    catch(SecurityException se)      // Fr Internet-Browser
    {
      picture = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "seashore.jpg"));
      icon = new ImageIcon(
        applet.getImage(applet.getCodeBase(), "picicon.gif"));
    }
    pictureLabel = new JLabel(null, picture, JLabel.CENTER);
    tabbedPane.addTab("Bild", icon,
      new JScrollPane(pictureLabel), "Ein schnes Bild");

    // mit Einstellungen
    optionPanel = new JPanel();
    optionPanel.setLayout(new GridLayout(1, 2, 10, 5));
    tabbedPane.addTab("Einstellungen", null,
      optionPanel, "Mehrere Einstellungen");
    optionPanel.add(panel = new JPanel());
    panel.setLayout(new FlowLayout(FlowLayout.CENTER));
    panel.add("Center", panel = new JPanel());
    panel.setLayout(new BoxLayout(panel, BoxLayout.Y_AXIS));
    for (int i=1; i<=7; i++)
      panel.add(new JCheckBox("Option " + i));
    optionPanel.add(panel = new JPanel());
    panel.setLayout(new GridLayout(0, 1, 10, 5));
    panel.add(new JButton("Allgemein..."));
    panel.add(new JButton("Ansicht..."));
    panel.add(new JButton("Drucker..."));
    panel.add(new JButton("Speichern..."));
    panel.add(new JButton("Format..."));

    // mit Baum
    treePanel = new JPanel();
    treePanel.setLayout(new BorderLayout());
    root = new DefaultMutableTreeNode("Baum");
    treePanel.add("Center", new JTree(root));
    tabbedPane.addTab("Baum", null, new JScrollPane(treePanel),
      "Ein Verzeichnisbaum");
    root.add(treeNode =
      new DefaultMutableTreeNode("Verzeichnis 1"));
    for (int i=1; i<=10; i++)
      treeNode.add(new DefaultMutableTreeNode("Datei " + i));
    root.add(treeNode =
      new DefaultMutableTreeNode("Verzeichnis 2"));
    for (int i=1; i<=10; i++)
      treeNode.add(new DefaultMutableTreeNode("Datei " + i));
    root.add(treeNode =
      new DefaultMutableTreeNode("Verzeichnis 3"));
    for (int i=1; i<=10; i++)
      treeNode.add(new DefaultMutableTreeNode("Datei " + i));

    add("Center", tabbedPane);
  }
}