package themen;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.border.*;
import javax.swing.plaf.*;
import javax.swing.plaf.metal.*;

public class ThemeMenu extends JMenu implements ActionListener{

  MetalTheme[] themes;
  public ThemeMenu(String name, MetalTheme[] themeA) {
    super(name);
    themes = themeA;
    ButtonGroup group = new ButtonGroup();

    for (int i = 0; i < themes.length; i++) {
      JRadioButtonMenuItem item = new JRadioButtonMenuItem( themes[i].getName() );
      group.add(item);
      add( item );
      item.setActionCommand(i+"");
      item.addActionListener(this);
      if ( i == 0)
        item.setSelected(true);
    }
  }

  public void actionPerformed(ActionEvent e) {
    String numStr = e.getActionCommand();
    MetalTheme selectedTheme = themes[ Integer.parseInt(numStr) ];
    MetalLookAndFeel.setCurrentTheme(selectedTheme);
    try {
      UIManager.setLookAndFeel("javax.swing.plaf.metal.MetalLookAndFeel");
    } catch (Exception ex) {
      System.out.println("Metal Look & Feel konnte nicht geladen werden");
    }
  }
}