package verschiedenelufs;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */
// Beispielprogramm fr Look and Feel

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;
import javax.swing.border.*;


public class PopupMenu extends JPanel implements MouseListener, ActionListener

{
  static JLabel	label;
  JPopupMenu			popupMenu;
  JMenuItem				menuWindows,
  								menuMetal,
  								menuMotif,
  								menuMac;

	static String windows 	= new String("com.sun.java.swing.plaf.windows.WindowsLookAndFeel");
	static String metal 	= new String("javax.swing.plaf.metal.MetalLookAndFeel");
	static String motif 	= new String("com.sun.java.swing.plaf.motif.MotifLookAndFeel");
	static String mac	= new String("com.sun.java.swing.plaf.mac.MacLookAndFeel");

	PopupMenu(JApplet applet)
  {

		// Label
		add(label = new JLabel("Look & Feel mit Popupmenu ndern"));
		label.setBorder(BorderFactory.createTitledBorder(new EtchedBorder(EtchedBorder.LOWERED)));
		label.setHorizontalAlignment(JLabel.CENTER);
		label.setVerticalTextPosition(JLabel.BOTTOM);
		label.setHorizontalTextPosition(JLabel.CENTER);
		label.addMouseListener(this);
		JTree tree = new JTree();
  	JScrollPane sp = new JScrollPane(tree);
  	sp.setPreferredSize(new Dimension(200,100));
  	add(sp);


    // PopupMenu 1
    popupMenu = new JPopupMenu("PopupMenu");
    popupMenu.setDefaultLightWeightPopupEnabled(true);
    popupMenu.setInvoker(label);
    popupMenu.add(menuWindows = new JMenuItem("Windows"));
    popupMenu.add(menuMetal = new JMenuItem("Metal"));
    popupMenu.add(menuMotif = new JMenuItem("Motif"));
    popupMenu.add(menuMac = new JMenuItem("Mac"));

  	popupMenu.addMouseListener(this);

		menuWindows.addActionListener(this);
		menuWindows.setActionCommand(windows);

		menuMetal.addActionListener(this);
		menuMetal.setActionCommand(metal);

		menuMotif.addActionListener(this);
  	menuMotif.setActionCommand(motif);

		menuMac.addActionListener(this);
  	menuMac.setActionCommand(mac);

  	enableEvents(AWTEvent.COMPONENT_EVENT_MASK);
  }

  public void mousePressed(MouseEvent e)
  {
    if (e.getModifiers() == InputEvent.BUTTON3_MASK)
        popupMenu.show(label, e.getX(), e.getY());
  }

  public void mouseClicked(MouseEvent e) {}
  public void mouseReleased(MouseEvent e){}
  public void mouseEntered(MouseEvent e) {}
  public void mouseExited(MouseEvent e) {}

  public void actionPerformed(ActionEvent e)
  {
		String lnf = e.getActionCommand();
    try {
			UIManager.setLookAndFeel(lnf);
			SwingUtilities.updateComponentTreeUI(this);
		}
	  catch (Exception exc) {
      System.err.println("Look & Feel wird nicht untersttzt.");
		}
  }
}