package mvcimplementation;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */


import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

public class SimpleEvent extends JFrame {
  static final int WIDTH = 150;
  static final int HEIGHT= 180;

  JTextField textField;
  JTextArea  textList;
  JScrollPane pane;
  // Konstruktor
  SimpleEvent(String lab) {
    super(lab);
    // alte Version
    // setLayout(new FlowLayout() );
    // neue Version
    getContentPane().setLayout(new FlowLayout() );
    setBackground(Color.lightGray);

    JPanel textPanel = new JPanel();

    textPanel.setBorder(BorderFactory.createEtchedBorder() );
    textPanel.setLayout(new BorderLayout() );

    JLabel textTitle = new JLabel("einfach Text eingeben und <RET>");
    textPanel.add(textTitle, BorderLayout.NORTH);

    textField = new JTextField();
    textPanel.add(textField, BorderLayout.SOUTH);
    textPanel.add(Box.createVerticalStrut(6) );

    JPanel listPanel = new JPanel();
    listPanel.setBorder(BorderFactory.createEtchedBorder() );

    listPanel.setLayout(new BoxLayout(listPanel, BoxLayout.Y_AXIS));

    JLabel title = new JLabel("Text Liste");
    listPanel.add(title);
    listPanel.add(Box.createVerticalStrut(10));

    textList = new JTextArea("", 6, 10);
    textList.setEnabled(false);

    pane = new JScrollPane(textList);
    listPanel.add(pane);

    listPanel.add(Box.createVerticalStrut(6));

    textField.addActionListener(new ActionListener() {
      public void actionPerformed(ActionEvent e) {
        textList.append(textField.getText() );
        textList.append("\n");
        pane.validate();
        textField.setText("");
      }
     }
    );

    Container c = getContentPane();
    c.setLayout(new FlowLayout() );
    c.add(textPanel);
    c.add(Box.createHorizontalStrut(30));
    c.add(listPanel);
  }

  public static void main(String args[]) {
    SimpleEvent frame = new SimpleEvent("Einfaches Ereignis Beispiel");

    frame.addWindowListener(new WindowAdapter() {
      public void windowClosing(WindowEvent e){
        System.exit(0);
      }
     }
    );

    frame.setSize(WIDTH, HEIGHT);
    frame.setVisible(true);
  }
}

