package mvcprint;

/**
 * Title:
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import java.awt.event.*;
import java.awt.print.*;
import javax.swing.*;


class PrintPanel extends JPanel implements Printable {

	JButton btnDialog;
	JPanel instance = this;

	public PrintPanel() {
		super();
		btnDialog = new JButton("Print");
		add(btnDialog);
		btnDialog.addActionListener(new MyListener());
	}

	private class MyListener implements ActionListener{
		public void actionPerformed(ActionEvent e) {

			PrinterJob printJob = PrinterJob.getPrinterJob();
			printJob.setPrintable((PrintPanel) instance);

			PageFormat pf = printJob.pageDialog(printJob.defaultPage());

			if(printJob.printDialog()) {
				try {
					printJob.print();
				} catch(Exception PrinterException) {
					System.out.println(PrinterException);
				}
			}
		}
	}

	public int print(Graphics g, PageFormat pf, int pi) {
		if (pi>=1) {
			return Printable.NO_SUCH_PAGE;
		}
		Graphics2D graphics = (Graphics2D)g;
		graphics.translate(pf.getImageableX(),pf.getImageableY());

		paint(graphics);

		return Printable.PAGE_EXISTS;
	}
}