package progressbar;

/**
 * Title:JProgressBar Demo
 * Description:JProgressBar Demo
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

import java.awt.*;
import java.awt.event.*;

import javax.swing.*;
import javax.swing.event.*;


public class JProgressBarDemo
	extends JFrame {

	protected int m_min = 0;
	protected int m_max = 100;
	protected int m_counter = 0;
	protected JProgressBar jpb;

	public JProgressBarDemo() {
		super("JProgressBar Demo");
		setSize(300,50);

		UIManager.put("ProgressBar.selectionBackground", Color.black);
		UIManager.put("ProgressBar.selectionForeground", Color.white);
		UIManager.put("ProgressBar.foreground", new Color(8,32,128));

        jpb = new JProgressBar();
        jpb.setMinimum(m_min);
        jpb.setMaximum(m_max);
        jpb.setStringPainted(true);

        JButton start = new JButton("Start");
        start.addActionListener(new ActionListener() {
          public void actionPerformed(ActionEvent e) {
            Thread runner = new Thread() {
              public void run() {
                m_counter = m_min;
                while (m_counter <= m_max) {
                  Runnable runme = new Runnable() {
                    public void run() {
                      jpb.setValue(m_counter);
                    }
                  };
                  SwingUtilities.invokeLater(runme);
                  m_counter++;
                  try {
                    Thread.sleep(100);
                  }
                  catch (InterruptedException ex) {}
                }
              }
            };
            runner.start();
          }
        });

		getContentPane().add(jpb, BorderLayout.CENTER);
        getContentPane().add(start, BorderLayout.WEST);
	}

	public static void main(String[] args) {
		JProgressBarDemo frame = new JProgressBarDemo();
		frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		frame.setVisible(true);
	}
}